Session Fixation

Affecting org.jenkins-ci.main:jenkins-core artifact, versions [,2.138.2) || [2.140, 2.146)

Overview

org.jenkins-ci.main:jenkins-core is an open source automation server.

Affected versions of this package are vulnerable to Session Fixation. It prevented Jenkins from invalidating the existing session and creating a new one when a user signed up for a new user account.

Remediation

Upgrade org.jenkins-ci.main:jenkins-core to version 2.138.2, 2.146 or higher.

References

Do your applications use this vulnerable package?

CVSS Score

5.4
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    Required
  • Scope
    Unchanged
  • Confidentiality
    Low
  • Integrity
    Low
  • Availability
    None
CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:N
Credit
Wadeck Follonier
CVE
CVE-2018-1000409
CWE
CWE-384
Snyk ID
SNYK-JAVA-ORGJENKINSCIMAIN-73611
Disclosed
27 Sep, 2019
Published
09 Jan, 2019